# filter out bogus auto-require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(WebKit

Name:           pychess
Version:        1.0.5
Release:        2%{?dist}
Summary:        A free and advanced GTK+ chess client
Group:          Games/Boards
License:        GPLv3
URL:            https://pychess.github.io/
Source0:        https://github.com/pychess/pychess/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1: https://patch-diff.githubusercontent.com/raw/pychess/pychess/pull/2235.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-cairo
BuildRequires:  python3-gobject
BuildRequires:  python3-pexpect
BuildRequires:  python3-psutil
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-websockets
BuildRequires:  python3-setuptools
BuildRequires:  gtk3
BuildRequires:  librsvg2
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  sed

Requires:       python3dist(psutil)
Requires:       python3dist(sqlalchemy)
Requires:       python3dist(websockets)
Requires:       python3-gobject
Requires:       librsvg2
Requires:       hicolor-icon-theme
Requires:       python3-gstreamer1
Requires:       gtksourceview3

Recommends:     stockfish

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

# Remove Debian specific menu stuff
desktop-file-install --delete-original               \
        --dir=%{buildroot}%{_datadir}/applications   \
        --set-key=Exec --set-value=pychess           \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

appstream-util validate-relax --nonet                \
        %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%find_lang %{name}

%files -f %{name}.lang
%doc README.md ARTISTS AUTHORS DOCUMENTERS TRANSLATORS
%license LICENSE
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gtksourceview-3.0/language-specs/pgn.lang
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Apr 17 2023 akien <akien> 1.0.4-1.mga9
+ Revision: 1953470
- Version 1.0.4

* Thu Mar 31 2022 umeabot <umeabot> 1.0.3-4.mga9
+ Revision: 1836372
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 1.0.3-3.mga9
+ Revision: 1779167
- Rebuild for python 3.10

* Sat Jun 26 2021 wally <wally> 1.0.3-2.mga9
+ Revision: 1733182
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 1.0.3-1.mga9
+ Revision: 1729672
- Version 1.0.3

* Fri Dec 11 2020 wally <wally> 1.0.2-3.mga8
+ Revision: 1655482
- rebuild with python-gobject-3.38.0-4

* Sat Sep 12 2020 daviddavid <daviddavid> 1.0.2-2.mga8
+ Revision: 1624987
- filter out bogus auto-require on typelib(WebKit)

* Thu Sep 03 2020 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1621212
- new version: 1.0.2
- update Url and Source Url

* Sun Feb 16 2020 umeabot <umeabot> 0.12.4-6.mga8
+ Revision: 1532710
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 0.12.4-5.mga8
+ Revision: 1442781
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 0.12.4-4.mga7
+ Revision: 1352082
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.12.4-3.mga7
+ Revision: 1288140
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.12.4-2.mga7
+ Revision: 1135291
- Rebuild for python 3.6

* Sat Aug 13 2016 akien <akien> 0.12.4-1.mga6
+ Revision: 1046150
- Version 0.12.4

* Wed Mar 16 2016 daviddavid <daviddavid> 0.12.3-2.mga6
+ Revision: 991961
- rename and rediff unappliable gtksourceview2 patch (since fixed autopatch)

* Thu Mar 03 2016 akien <akien> 0.12.3-1.mga6
+ Revision: 985094
- Version 0.12.3
- Switch to Python 3 build

* Mon Jan 25 2016 akien <akien> 0.12.1-1.mga6
+ Revision: 927630
- Version 0.12.1

* Fri Nov 14 2014 wally <wally> 0.12-0.rc3.1.mga5
+ Revision: 797243
- new version 0.12 rc3
- drop unneeded gdk.threads_init() patch

* Wed Oct 15 2014 umeabot <umeabot> 0.12-0.rc2.3.mga5
+ Revision: 739831
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 0.12-0.rc2.2.mga5
+ Revision: 731054
- add patch to fix crash on startup
+ tv <tv>
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 0.12-0.rc2.1.mga5
+ Revision: 673631
- Version 0.12rc2
+ pterjan <pterjan>
- Rebuild for new Python
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-7.mga4
+ Revision: 542911
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-6.mga4
+ Revision: 498045
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-5.mga3
+ Revision: 378393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.10.1-4.mga3
+ Revision: 324735
- rebuild for Mga3 Beta1

* Thu Jul 26 2012 kamil <kamil> 0.10.1-3.mga3
+ Revision: 274424
- adapt .spec for Mageia, adjust BR, R
- remove all Fedora unneeded .spec parts
- imported package pychess


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 09 2012 Bruno Wolff III <bruno@wolff.to> 0.10.1-1
- Upstream 0.10.1 release
- Should only be bug fixes since beta2
- At some point the license changed to GPL3

* Sat Oct 29 2011 Bruno Wolff III <bruno@wolff.to> 0.10.1-0.1.beta2
- Pick up a few more bug fixes with the beta2 prerelease.

* Sat Sep 03 2011 Bruno Wolff III <bruno@wolff.to> - 0.10.rev2004-1
- Pickup lots of post 0.10 fixes (hopefully that fix reported bugs)

* Wed May 18 2011 Christopher Aillon <caillon@redhat.com> - 0.10-1
- Update to 0.10

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-0.9.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Michel Salim <salimma@fedoraproject.org> - 0.10-0.8.rc1
- Update to 0.10rc1
- Install PGN language spec in correct location
- Properly update icon cache

* Sun Aug 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.7.20100815hg
- update to new version (fixes bug #598062)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10-0.6.20100511hg
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 12 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.5.20100511hg
- new hg snapshot to fix #591165

* Tue May  4 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.4.20100504hg
- new hg snapshot to get it working again (#577570)

* Sun Feb 14 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.3.20100214svn
- update svnsnapshot to fix some fedora bugs
  (562895,565225,563330)

* Fri Feb  5 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.2.20100203svn
- add R: gnome-python2-rsvg (#551475)

* Wed Feb  3 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.10-0.1.20100203svn
- update to svn snapshot (the rest is currently non working)
- %%global and not %%define
- delete the patches, all upstream or solved upstream differently
- remove R python-sqlite2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.2-2
- Rebuild for Python 2.6

* Tue Aug 26 2008 Michel Salim <salimma@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.8-2
- Bump release

* Tue Feb 21 2008 Sindre Pedersen Bjordal <foolish@guezz.net> - 0.8-1
- Final 0.8 release

* Mon Dec  3 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta2
- Update to 0.8beta2

* Sun Nov 11 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta1
- Update to 0.8beta1

* Thu Apr 19 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-1
- Update to 0.6.0 final

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.3.beta5
- Update description

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.2.beta5
- Fix permissions
- Fix quiet %%setup

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.1.beta5
- Initial build
